Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.portal.jsp
Class WindowDef

    java.lang.Object
      org.jboss.portal.portlet.portal.jsp.WindowDef

    public class WindowDef

extends java.lang.Object

Combines the invocation of a portlet and the info on the portlet JSP tag. It does not need to be exposed out of this package.

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`WindowDef(java.lang.String portletName, java.lang.String applicationName, java.lang.String windowId, org.jboss.portal.Mode initialMode, java.util.Set<org.jboss.portal.Mode> supportedModes, java.util.Set<org.jboss.portal.WindowState> supportedWindowStates)`

Method Summary
`java.lang.String` | `getApplicationName()`
`org.jboss.portal.Mode` | `getInitialMode()`
`java.lang.String` | `getPortletName()`
`java.util.Set<org.jboss.portal.Mode>` | `getSupportedModes()`
`java.util.Set<org.jboss.portal.WindowState>` | `getSupportedWindowStates()`
`java.lang.String` | `getWindowId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowDef

    public WindowDef(java.lang.String portletName,
                     java.lang.String applicationName,
                     java.lang.String windowId,
                     org.jboss.portal.Mode initialMode,
                     java.util.Set<org.jboss.portal.Mode> supportedModes,
                     java.util.Set<org.jboss.portal.WindowState> supportedWindowStates)

Method Detail

### getPortletName

    public java.lang.String getPortletName()

### getApplicationName

    public java.lang.String getApplicationName()

### getWindowId

    public java.lang.String getWindowId()

### getInitialMode

    public org.jboss.portal.Mode getInitialMode()

### getSupportedModes

    public java.util.Set<org.jboss.portal.Mode> getSupportedModes()

### getSupportedWindowStates

    public java.util.Set<org.jboss.portal.WindowState> getSupportedWindowStates()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.